/*****************************************************************************
 * PlaylistIntf.java: The playlist interface
 *****************************************************************************
 * Copyright (C) 1998-2006 the VideoLAN team
 *
 * $Id$
 *
 * Authors: Filippo Carone <filippo@carone.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************/

package org.videolan.jvlc;

public interface PlaylistIntf {
    void play(int id, String[] options);
    void pause();
    void stop();
    boolean isPlaying();
    int itemsCount();
    void next();
    void prev();
    void clear();
    int add(String uri, String name);
    void addExtended();

}
